# GUIPageChangeCalculator

abstract class GUIPageChangeCalculator
Content copied to clipboard

## Types

GUIConsistentPageCalculator
Link copied to clipboard
class GUIConsistentPageCalculator(toPage: Int) : GUIPageChangeCalculator
Content copied to clipboard
GUINextPageCalculator
Link copied to clipboard
object GUINextPageCalculator : GUIPageChangeCalculator
Content copied to clipboard
GUIPreviousPageCalculator
Link copied to clipboard
object GUIPreviousPageCalculator : GUIPageChangeCalculator
Content copied to clipboard

## Functions

calculateNewPage
Link copied to clipboard
abstract fun calculateNewPage(currentPage: Int, pages: Collection<Int>): Int?
Content copied to clipboard

## Inheritors

GUIPageChangeCalculator
Link copied to clipboard
GUIPageChangeCalculator
Link copied to clipboard
GUIPageChangeCalculator
Link copied to clipboard